﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace BubbleSeries_BubblesMissing
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<ChartData> Collection
        {

            get { return (ObservableCollection<ChartData>)GetValue(CollectionProperty); }

            set { SetValue(CollectionProperty, value); }

        }

        public static readonly DependencyProperty CollectionProperty =

                    DependencyProperty.Register("Collection", typeof(ObservableCollection<ChartData>), typeof(MainWindow), new PropertyMetadata(null));



        public MainWindow()
        {

            Collection = new ObservableCollection<ChartData>();



            for (int i = 0; i < 10; i++)
            {

                ChartData data = new ChartData()

                {

                    Population = (double)i * 10,

                    PublicDebt = 20,

                    GdpPerCapita = 10 * i,

                };

                Collection.Add(data);

            }

            this.DataContext = this;

            InitializeComponent();

        }

    }



    public class ChartData
    {

        public double Population { get; set; }

        public double PublicDebt { get; set; }

        public double GdpPerCapita { get; set; }

    }

}
